<?php

namespace App\Http\Controllers;

use App\Repositories\ActiviteRepository;
use App\User;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;

class HomeController extends Controller
{
    protected $activiteRepository;
    protected $users;
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct(ActiviteRepository $activiteRepository)
    {
        $this->middleware('auth');
        $this->activiteRepository = $activiteRepository;
        $this->users = User::all();
        //dd($this->users);
    }

    /**
     * Show the application dashboard.
     *
     * @return \Illuminate\Contracts\Support\Renderable
     */
    public function index()
    {
        $users = $this->users;
        $activiteReportings = $this->activiteRepository->getAllActiviteReporting();
        $activitePlanifies = $this->activiteRepository->getAllActivitePlanifier();
        $user= Auth::user();
        $nbActiviteReporting="";
        $nbActivitePlanifie="";
        if($user->role==='admin'){
            $activites = $this->activiteRepository->getAllWithuser();
            $nbActiviteOfYear = $this->activiteRepository->getNbActiviteForYear();
            $nbActiviteRealisedOfYear = $this->activiteRepository->getNbActiviteRealizedForYear();
            $nbActiviteNoRealisedOfYear = $this->activiteRepository->getNbActiviteNoRealizedForYear();
            $nbActivitePlanifie = $this->activiteRepository->getNbActivitePlanifieForALL();
            $nbActiviteReporting = $this->activiteRepository->getNbActiviteReportingForAll();

        }else{
            $activites = $this->activiteRepository->getAllActiviteByuser($user->id);
            $nbActiviteOfYear = $this->activiteRepository->getNbActiviteByUserForYear($user->id);
            $nbActiviteReporting = $this->activiteRepository->getNbActiviteReporting($user->id);
            $nbActivitePlanifie = $this->activiteRepository->getNbActivitePlanifie($user->id);
        }

        return view('home',compact('activites','nbActiviteOfYear','nbActiviteReporting',
        'nbActivitePlanifie','user','activiteReportings','activitePlanifies','users'));
    }
    public function getActivityBetweenToDate(Request $request){
        // dd($request->from );
        $nbActiviteOfYear = 0;
        $nbActiviteReporting = 0;
        $nbActivitePlanifie = 0;
        $users = $this->users;
        $user= Auth::user();
        $activiteReportings = $this->activiteRepository->getActiciteReportingBetWeenToDate($request->from,$request->to);
        $activitePlanifies = $this->activiteRepository->getActicitePlanifieBetWeenToDate($request->from,$request->to);
        if($user->role==='admin'){
            $nbActiviteOfYear = $this->activiteRepository->getNbActiviteForYear();
                $nbActiviteRealisedOfYear = $this->activiteRepository->getNbActiviteRealizedForYear();
                $nbActiviteNoRealisedOfYear = $this->activiteRepository->getNbActiviteNoRealizedForYear();
            if($request->from and $request->user_id){
                $activites = $this->activiteRepository->getActiciteBetWeenToDateByUser($request->from,$request->to,$request->user_id);
                $activiteReportings = $this->activiteRepository->getActiciteReportingBetWeenToDateAndUser($request->from,$request->to, $request->user_id);
                $activitePlanifies = $this->activiteRepository->getActicitePlanifieBetWeenToDateAndUser($request->from,$request->to, $request->user_id);

            }else if($request->from and !$request->user_id){
                $activites = $this->activiteRepository->getActiciteBetWeenToDate($request->from,$request->to);
                $activiteReportings = $this->activiteRepository->getActiciteReportingBetWeenToDate($request->from,$request->to);
                    $activitePlanifies = $this->activiteRepository->getActicitePlanifieBetWeenToDate($request->from,$request->to);
            }else{
                $activites = $this->activiteRepository->getAllActiviteByuser($request->user_id);
                $activiteReportings = $this->activiteRepository->getAllActiviteReportingWithuser($request->user_id);
                $activitePlanifies = $this->activiteRepository->getAllActivitePlanifieWithuser($request->user_id);

            }

        }else{
            $activites = $this->activiteRepository->getActiciteBetWeenToDateByUser($request->from,$request->to,$user->id);
            $nbActiviteOfYear = $this->activiteRepository->getNbActiviteByUserForYear($user->id);
            $nbActiviteReporting = $this->activiteRepository->getNbActiviteReporting($user->id);
            $nbActivitePlanifie = $this->activiteRepository->getNbActivitePlanifie($user->id);
        }
        /*$nbActiviteOfYear = $this->activiteRepository->getNbActiviteForYear();
        $activites = $this->activiteRepository->getActiciteBetWeenToDate($request->from,$request->to);
        // dd($activites);
        $nbActiviteRealisedOfYear = $this->activiteRepository->getNbActiviteRealizedForYear();
        $nbActiviteNoRealisedOfYear = $this->activiteRepository->getNbActiviteNoRealizedForYear();*/
        return view('home',compact('activites','nbActiviteOfYear','nbActiviteReporting',
    'nbActivitePlanifie','user','activiteReportings','activitePlanifies','users'));
    }
}
