@extends('welcome')
@section('title', '| activite')


@section('content')

<div class="content-wrapper">
        <div class="content-header">
                        <div class="container-fluid">
                            <div class="row mb-2">
                            <div class="col-sm-6">
                                <h1 class="m-0 text-info">Liste des Activités</h1>
                            </div><!-- /.col -->
                            <div class="col-sm-6">
                                <ol class="breadcrumb float-sm-right">
                                <li class="breadcrumb-item"><a href="{{ route('home') }}" role="button" class="btn btn-primary">ACCUEIL</a></li>
                                <li class="breadcrumb-item active"><a href="{{ route('activite.create') }}" role="button" class="btn btn-primary">Liste des activités</a></li>
                                </ol>
                            </div><!-- /.col -->
                            </div><!-- /.row -->
                        </div><!-- /.container-fluid -->
            </div>

    @if ($message = Session::get('success'))
        <div class="alert alert-success">
            <p>{{ $message }}</p>
        </div>
    @endif
    @if ($message = Session::get('error'))
        <div class="alert alert-danger">
            <p>{{ $message }}</p>
        </div>
    @endif
@if($user->role!='admin')

<div class="col-12">
    <div class="card border-danger border-0">
        <div class="card-header bg-info text-center">LISTE D'ENREGISTREMENT du canevas de reporting</div>
            <div class="card-body">
                <table id="example1" class="table table-bordered table-responsive-md table-striped text-center">
                    <thead>
                        <tr>
                            <th>Activité</th>
                            <th>Date</th>
                            <th>Personne</th>
                            <th>résultats obtenus (Livrables)</th>
                            <th>Observations</th>
                            <th>Actions</th>
                        </tr>
                    </thead>
                    <tbody>
                    @foreach ($activites as $activite)
                        <tr>
                            <td>{{ $activite->nom }}</td>
                            <td>{{ $activite->date }}</td>
                            <td>{{ $activite->personne }}</td>
                            <td>{!! $activite->resultat !!}</td>
                            <td>
                                {!! $activite->observation !!}
                                {{--  @if($activite->etat==1)
                                <span class="badge badge-success">
                                    Réalisé
                                    </span>
                               @else
                               <span class="badge badge-danger">
                                   non réalisé
                               </span>
                            @endif --}}
                            </td>
                            <td>
                                <a href="{{ route('activite.edit', $activite->id) }}" role="button" class="btn btn-primary"><i class="fas fa-edit"></i></a>
                                <a href="{{ route('activite.show', $activite->id) }}" role="button" class="btn btn-success"><i class="fas fa-eye"></i></a>
                                {!! Form::open(['method' => 'DELETE', 'route'=>['activite.destroy', $activite->id], 'style'=> 'display:inline', 'onclick'=>"if(!confirm('Êtes-vous sûr de vouloir supprimer cet enregistrement ?')) { return false; }"]) !!}
                                <button class="btn btn-danger"><i class="far fa-trash-alt"></i></button>
                                {!! Form::close() !!}



                            </td>

                        </tr>
                        @endforeach

                    </tbody>
                </table>



            </div>

        </div>
    </div>
    <div class="col-12">
        <div class="card border-danger border-0">
            <div class="card-header bg-info text-center">LISTE D'ENREGISTREMENT DES ACTIVITES PLANIFIE</div>
                <div class="card-body">
                    <table id="example4" class="table table-bordered table-responsive-md table-striped text-center">
                        <thead>
                            <tr>

                                <th>Activité</th>
                                <th>Date</th>
                                <th>Responsable</th>
                                <th>Avec qui</th>
                                <th>Lieu</th>
                                <th>Actions</th>
                            </tr>
                        </thead>
                        <tbody>
                        @foreach ($activitep as $activite)
                            <tr>
                                <td>{{ $activite->nom }}</td>
                                <td>{{ $activite->date }}</td>
                                <td>{{ $activite->user->name }}</td>
                                <td>{{ $activite->personne }}</td>
                                <td> {{ $activite->lieu }}
                                     {{-- @if($activite->etat==1)
                                    <span class="badge badge-success">
                                        Réalisé
                                        </span>
                                   @else
                                   <span class="badge badge-danger">
                                       non réalisé
                                   </span>
                                @endif --}}
                                </td>
                                <td>
                                    <a href="{{ route('activite.edit', $activite->id) }}" role="button" class="btn btn-primary"><i class="fas fa-edit"></i></a>
                                    <a href="{{ route('activite.show', $activite->id) }}" role="button" class="btn btn-success"><i class="fas fa-eye"></i></a>
                                    {!! Form::open(['method' => 'DELETE', 'route'=>['activite.destroy', $activite->id], 'style'=> 'display:inline', 'onclick'=>"if(!confirm('Êtes-vous sûr de vouloir supprimer cet enregistrement ?')) { return false; }"]) !!}
                                    <button class="btn btn-danger"><i class="far fa-trash-alt"></i></button>
                                    {!! Form::close() !!}



                                </td>

                            </tr>
                            @endforeach

                        </tbody>
                    </table>



                </div>

            </div>
        </div>
 @else
 <div class="col-12">
    <div class="card border-danger border-0">
        <div class="card-header bg-info text-center">LISTE D'ENREGISTREMENT DES activites</div>
            <div class="card-body">
                <table id="example1" class="table table-bordered table-responsive-md table-striped text-center">
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>Activité</th>
                            <th>Date</th>
                            <th>Personne</th>
                            <th>Résultat</th>
                            <th>Niveau de Realisation</th>
                            <th>Actions</th>
                        </tr>
                    </thead>
                    <tbody>
                    @foreach ($activites as $activite)
                        <tr>
                            <td>{{ $activite->id }}</td>
                            <td>{{ $activite->nom }}</td>
                            <td>{{ $activite->date }}</td>
                            <td>{{ $activite->personne }}</td>
                            <td>{!! $activite->resultat !!}</td>
                            <td> @if($activite->etat==1)
                                <span class="badge badge-success">
                                    Réalisé
                                    </span>
                               @else
                               <span class="badge badge-danger">
                                   non réalisé
                               </span>
                            @endif
                            </td>
                            <td>
                                <a href="{{ route('activite.edit', $activite->id) }}" role="button" class="btn btn-primary"><i class="fas fa-edit"></i></a>
                                <a href="{{ route('activite.show', $activite->id) }}" role="button" class="btn btn-success"><i class="fas fa-eye"></i></a>
                                {!! Form::open(['method' => 'DELETE', 'route'=>['activite.destroy', $activite->id], 'style'=> 'display:inline', 'onclick'=>"if(!confirm('Êtes-vous sûr de vouloir supprimer cet enregistrement ?')) { return false; }"]) !!}
                                <button class="btn btn-danger"><i class="far fa-trash-alt"></i></button>
                                {!! Form::close() !!}



                            </td>

                        </tr>
                        @endforeach

                    </tbody>
                </table>



            </div>

        </div>
    </div>
 @endif
</div>

@endsection
