<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
use Illuminate\Support\Facades\Artisan;

Route::get('/clear-cache', function () {
   Artisan::call('cache:clear');
   Artisan::call('route:clear');
   Artisan::call('config:clear');
   Artisan::call('view:clear');
   return "Cache cleared successfully";
});

Route::get('/', 'HomeController@index');
Route::get('/activite/reporting', 'ActiviteController@getAllActiviteReporting')->name('reporting');
Route::get('/activite/noreporting', 'ActiviteController@getAllActivitePlanification')->name('planifie');

Route::get('/activite/planifie', 'ActiviteController@createReporting')->name('activite.planifie');
Route::resource('/activite', 'ActiviteController');

Auth::routes();

Route::get('/home', 'HomeController@index')->name('home');

Route::post('/search/activite/date', 'HomeController@getActivityBetweenToDate')->name('search.date');
Route::post('/activite/update/etat', 'ActiviteController@updateEtat')->name('update.etat');
Route::middleware('auth')->group(function(){
    Route::get('/user/{user}/edit', 'Auth\RegisterController@edit')->name('user.edit');
    Route::patch('/user/{user}', 'Auth\RegisterController@update')->name('user.update');
    Route::get('/user', 'Auth\RegisterController@index')->name('user.index');
    Route::delete('/user/{user}', 'Auth\RegisterController@delete')->name('user.destroy');
});


